/*
interactive.html

Interactive web page served by the 'Onboard' web service. Illustrates how
to include JavaScript into the HTML so that the "system_info_sensors_LEDs"
method VI can be controlled interactively in the web browser client.

Many thanks to Tanner Blair of National Instruments for providing the
JavaScript example "home.html" (Reference #3) upon which this code is based.

References:
1. HTML coding: http://www.w3schools.com/
2. "Web Services Getting Started Series," NI Community, 
	https://decibel.ni.com/content/docs/DOC-41151
3. "Getting Started Series | Exploring Update Methods," NI Community,
	https://decibel.ni.com/content/docs/DOC-41611

Ed Doering
doering@rose-hulman.edu

22 Jun 2016
*/

//Disable async to allow for sequential behavior
async: false;

//Execute the following code once page is fully loaded
$(document).ready(function()
	{
		$('.userInput').on('input', update);
	}
)

// Retrieve the JSON string from the web service
function update()
{
	// Form the URL of the method VI; include the "GET" query string
	URL = document.URL;
	URL = URL.replace("interactive.html", "") + "json/system_info_sensors_LEDs";
	URL = URL + "?LEDhexcode=" + $('#LEDhexcode').val();

	// Request the URL and parse the return string
	$.getJSON(URL, function(data)
		{
			//use JQuery to update the text inside of the field
			$('#button_state').text(data.button_state);
			$('#accelerometer_X').text(data.accelerometer_X);
			$('#accelerometer_Y').text(data.accelerometer_Y);
			$('#accelerometer_Z').text(data.accelerometer_Z);
			$('#server_date').text(data.server_date);
			$('#server_time').text(data.server_time);
			$('#server_name').text(data.server_name);
			$('#server_IP_address').text(data.server_IP_address);
		}
	);
	// enable this line for debugging assistance... prints a string
	//window.alert(URL);

}
